<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PremiumMessageInfo extends \Google\Protobuf\Internal\Message
{
    


    protected $serverCampaignId = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getServerCampaignId()
    {
        return isset($this->serverCampaignId) ? $this->serverCampaignId : '';
    }

    public function hasServerCampaignId()
    {
        return isset($this->serverCampaignId);
    }

    public function clearServerCampaignId()
    {
        unset($this->serverCampaignId);
    }

    




    public function setServerCampaignId($var)
    {
        GPBUtil::checkString($var, True);
        $this->serverCampaignId = $var;

        return $this;
    }

}

